読者です 読者をやめる 読者になる 読者になる

第14回エンバカデロ・デベロッパーキャンプセッションT3自己フォロー(Delphi/C++Builder DB総ざらい)

C++Builder/Delphi 2010のdbExpressでInterbaseのドライバーを使ってFirebirdに接続するとエラー。

Pathは通しているけど、エラーメッセージに"Incompatible version"ってあるから、ドライバーがFbclient.dllをリネームしたgds32.dllかどうかチェックしているのかもしれない。
となると、2010のProfessonal版ではローカルでもFirebirdが使えないってこと?*1 当然、Interbaseだと全く問題なし。

あと、CB2007/CB2009/CB2010の共存環境で、MySQL 5.1に接続できない場合がある。
同様のエラーが大阪入りした後に自機のCB2010でも発生したのだけど、Vistaを消してWindows 7クリーンインストールして追試したら問題は発生せず。

*1:ただし、サードパーティ製やオープンソースのドライバーはある。